concurrent-output-1.10.21: Ungarble output from several threads or commands

Copyright | 2015 Joey Hess <id@joeyh.name>
License | BSD-2-clause
Safe Haskell | None
Language | Haskell2010

System.Process.Concurrent

Description

The functions exported by this module are intended to be drop-in replacements for those from System.Process, when converting a whole program to use System.Console.Concurrent.

Synopsis

- createProcess :: CreateProcess -> IO (Maybe Handle, Maybe Handle, Maybe Handle, ProcessHandle)
- waitForProcess :: ProcessHandle -> IO ExitCode

# Documentation

createProcess :: CreateProcess -> IO (Maybe Handle, Maybe Handle, Maybe Handle, ProcessHandle) Source #

Calls `createProcessConcurrent`

waitForProcess :: ProcessHandle -> IO ExitCode Source #

Calls `waitForProcessConcurrent`